    Return the data used by plot_arf.

get_arf_plot(id=None, resp_id=None, recalc=True)
id - int or str, optional
resp_id - int or str, optional
recalc - bool, optional

Return the ARF plot data for the default data set:

>>> aplot = get_arf_plot() >>> aplot.y.max() 676.95794677734375

Return the ARF data for the second response of the data set labelled 'histate', and then plot it:

>>> aplot = get_arf_plot('histate', 2) >>> aplot.plot()

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set with an ARF. If not given then the default identifier is used, as returned by `get_default_id` .
resp_id
Which ARF to use in the case that multiple ARFs are associated with a data set. The default is none , which means the first one.
recalc
If False then the results from the last call to

`plot_arf` (or `get_arf_plot` ) are returned, otherwise the data is re-generated.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023